Redmine - Defect #5152

Cannot use certain characters for user and role names.
2010-03-22 21:43 - Michael Thomas

Status: Closed Start date: 2010-03-22
Priority: Low Due date:

Assignee: % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 1.2.0

Resolution: Fixed Affected version: 0.9.3
Description

When | try to use certain characters for a role- or user-name, the naming fails with the error message Name is invalid.
These characters include {}[]:/()|@, probably more; _- are working fine.

This prevents me from using names in the form User Name (Info) or Role [Qualifier].

| expect this to be a global validation thing.

Furthermore | could not find any information on which characters are valid and which are not.

Related issues:
Related to Redmine - Patch #4307: Models fails to validate localized field na... Closed 2009-11-29

Associated revisions

Revision 4599 - 2010-12-31 16:30 - Jean-Philippe Lang

Remove the limitation on characters that can be used in custom_field, issue_status, role, tracker, user names (#5152).

History

#1 - 2010-07-12 22:28 - Felix Schéfer

First- and last names are checked against /A\[\w\s\'\-\.]*$/i, i.e. letters, spaces, dashes, dots and apostrophes are allowed. I'm not a big fan of limiting
names in any ways, but it seems everyone gets by.

Role names are checked against /A\[\w\s\'\-]*$/i i.e. the same without the dots, I'll try to bubble up the topic at some developer meeting to see if there
was a reason for limiting them so drastically.

#2 - 2010-12-27 14:09 - Bruno Medeiros

| don't understand the reason for that limitation too.
+1

#3 - 2010-12-31 16:30 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version set to 1.2.0

- Resolution set to Fixed

Limitation removed in r4599.

#4 - 2015-04-05 08:40 - Go MAEDA
- Related to Patch #4307: Models fails to validate localized field names since ruby 1.9.1p343 and 1.9.2p added

2025-07-05 1/1



https://www.redmine.org/projects/redmine/repository/svn/revisions/4599
http://www.tcpdf.org

